#ifndef VRenderMode_h
#define VRenderMode_h

#include "GUIelement.h"
#include "VExitBox.h"
#include "VTexture.h"

#include <GL/glew.h>
#include <GL/glut.h> 

/*! \brief VRenderMode: Klasse zur Repräsentation des Rendermode GUI Elements (rechts oben).
*/
class VRenderMode :
	public GUIelement {

	float * bg;
	/*! Textur des Hintergrunds */
	VTexture * tex;
	int pos;
	int* actPos;
	bool dragging;

public:
	/*! Konstruktor
		\param width Breite des Fensters
		\param height Höhe des Fensters
		\param fps akteller fps Wert
		\param pos Default Rendermode
	*/
	VRenderMode(int*,int*,unsigned int*, int*);
	~VRenderMode(void);
	void motion(int,int);
	void released(int,int);
	void drag(int,int);
	bool isInside(int,int);
	void render(void);
	void draw(void);
};

#endif